Loading...
Searching...
No Matches
hashMap.h File Reference
`#include <BALL/COMMON/exception.h>`
`#include <BALL/DATATYPE/string.h>`
`#include <BALL/DATATYPE/triple.h>`
`#include <BALL/DATATYPE/quadruple.h>`
`#include <boost/unordered_map.hpp>`
`#include <boost/functional/hash.hpp>`

Go to the source code of this file.

## Classes

struct | boost::hash< BALL::String >
struct | boost::hash< BALL::Triple< T1, T2, T3 > >
struct | boost::hash< BALL::Quadruple< T1, T2, T3, T4 > >
class | BALL::HashMap< Key, T >
| HashMap class based on the STL map (containing serveral convenience functions). More...
class | BALL::HashMap< Key, T >::IllegalKey
| HashMap illegal key exception. More...

## Namespaces

namespace | boost
namespace | BALL